Skip to main content
GET
/
partners
/
applications
Python
from dub import Dub


with Dub(
    token="DUB_API_KEY",
) as d_client:

    res = d_client.partner_applications.list(request={
        "country": "US",
        "group_id": "grp_123",
        "page": 1,
        "page_size": 50,
    })

    # Handle response
    print(res)
[
  {
    "id": "<string>",
    "createdAt": "<string>",
    "partner": {
      "id": "<string>",
      "name": "<string>",
      "companyName": "<string>",
      "email": "<string>",
      "image": "<string>",
      "country": "<string>",
      "status": "pending",
      "description": "<string>",
      "groupId": "<string>",
      "website": "<string>",
      "youtube": "<string>",
      "twitter": "<string>",
      "linkedin": "<string>",
      "instagram": "<string>",
      "tiktok": "<string>"
    },
    "applicationFormData": [
      {
        "label": "<string>",
        "value": "<string>"
      }
    ]
  }
]

Documentation Index

Fetch the complete documentation index at: https://dub.co/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Default authentication mechanism

Query Parameters

country
string

A filter on the list based on the partner's country field.

Example:

"US"

groupId
string

A filter on the list based on the partner's groupId field.

Example:

"grp_123"

page
number

The page number for pagination.

Required range: x > 0
Example:

1

pageSize
number
default:100

The number of items per page.

Required range: 0 < x <= 100
Example:

50

Response

The list of pending partner applications.

id
string
required
createdAt
string
required
partner
object
required
applicationFormData
object[] | null
required